Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ColumnGroupTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.ColumnGroupTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ColumnGroupTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`ColumnGroupTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setColumnClasses(javax.el.ValueExpression __columnClasses)` Comma-delimited list of CSS style classes that are be applied to the columns of this table.
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRowClasses(javax.el.ValueExpression __rowClasses)` A comma-delimited list of CSS style classes that is applied to popup table rows.

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### ColumnGroupTag

    public ColumnGroupTag()

Method Detail

### setColumnClasses

    public void setColumnClasses(javax.el.ValueExpression __columnClasses)

  Comma-delimited list of CSS style classes that are be applied to the columns of this table. A space separated list of classes may also be specified for any individual column. If the number of elements in this list is less than the number of columns specified in the "columns" attribute, no "class" attribute is output for each column greater than the number of elements in the list. If the number of elements in the list is greater than the number of columns specified in the "columns" attribute, the elements at the position in the list after the value of the "columns" attribute are ignored Setter for columnClasses

  Parameters:
    `columnClasses` - - new value

### setRowClasses

    public void setRowClasses(javax.el.ValueExpression __rowClasses)

  A comma-delimited list of CSS style classes that is applied to popup table rows. A space separated list of classes may also be specified for any individual row. The styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again Setter for rowClasses

  Parameters:
    `rowClasses` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.